

@import './scrollbar.scss';
@import '../components/Badge/Badge.module.scss';
.bage {
  svg {
    font-size: 13px;
  }
  &.primary {
    color: #007bff!important;
    svg {
      color: #007bff!important;
    }
  }
  &.secondary {
    svg {
      color: #6c757d!important;
    }
    color: #6c757d!important;
  }
  &.success {
    color: #28a745!important;
    svg {
      color: #28a745!important;
    }
  }
  &.danger {
    color: #dc3545!important;
    svg {
      color: #dc3545!important;
    }
  }
  &.warning {
    color: #ffc107!important;
    svg {
      color: #ffc107!important;
    }
  }
  &.info {
    color: #17a2b8!important;
    svg {
      color: #17a2b8!important;
    }
  }
}

.box-shadow {
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.box-shadow-1 {
  box-shadow: 0px 0px 2px rgba(145, 158, 171, 0.25);
}

.box-shadow-2 {
  box-shadow: 0px 0px 2px rgba(145, 158, 171, 0.24), 0px 16px 32px -4px rgba(145, 158, 171, 0.24);
}

.rounded-16 {
  border-radius: 16px;
}

.rounded-8 {
  border-radius: 8px;
}

.border-1 {
  border: 1px solid rgba(145, 158, 171, 0.24);
}

.Mui-selected {
  color: #66B6FF;
}

.MuiTreeItem-content {
  min-height: 40px;
}

button,
input,
[tabindex] {
  outline: none;
  // border: none;
}

.core-disable {
  cursor: default !important;
  text-decoration: none;
  opacity: 0.5;
  pointer-events: none !important;
}


.core-readonly {
  background: #ebf0f5 !important;
  cursor: default !important;
  pointer-events: none !important;
}

.core-truncate {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

input {
  &.core-readonly {
    pointer-events: default;
  }
}

.text-error {
  color: red;
  margin-top: 8px;
  font-size: 12px;
}


p {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}

@media (prefers-color-scheme: dark) {
  html {
    color-scheme: dark;
  }

  body {
    color: black;
    background: #fff;
  }
}

legend {
  width: auto !important;
}

.text-color-dark {
  color: #c1c1c1 !important;
}

// ? overide toàn bộ css table
// th {
//   vertical-align: baseline !important;
// }

.cursor-pointer {
  cursor: pointer;
}

.pt-12px {
  padding-top: 12px;
}


.item-command-table {
  right: 15px;
  position: absolute;
  z-index: 999;
  border-radius: 8px;
  background-color: #fff;
  border: 1px solid #666b79;
  padding: 4px 0;

  &:before {
    width: 0;
    height: 0;
    border-bottom: 10px solid #ebebeb;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    content: "";
    position: absolute;
    top: -10px;
    right: 8px;
  }
  .item-command-table-action{
    cursor: pointer;
    padding: 4px 12px;
    &:hover{
      background-color: #ebf0f5;
    }
  }
}
// 
.MuiFormControl-root {
  .MuiInputLabel-formControl {
    transform: translate(14px, 9px) scale(1);
    &.MuiInputLabel-shrink {
      transform: translate(14px, -9px) scale(0.75);
    }

  }
}

